///////////////////////////////////////////////////////////////////////
// Keypad.h
//
// Part of
// 720020-1161x
//
// For more information, see the header in Keypad.cpp
///////////////////////////////////////////////////////////////////////// 

#ifndef __KEYPAD__
#define __KEYPAD__

#include <windows.h>

#define dim(x) (sizeof(x) / sizeof(x[0]))

class Keypad
{
public:
	struct MAPKEY
	{
		int  KeypadVal;
		int  VirtualKey;
	};

	Keypad();
	~Keypad();

	void SetMap(MAPKEY keymap[], int rows, int columns);
	void Start();
	void Stop();
	void RemapKey(int KeypadVal, int VirtualKey);

private:
	static m_rows;
	static m_cols;
	static DWORD WINAPI KeyThreadProc(LPVOID params);
	static MAPKEY  *m_keymap;
	static int		m_keycount;

	DWORD	m_threadID;
	HANDLE	m_hThread;
	HANDLE	m_hStopEvent;
};

#endif